
QGIS Application - Feature request #2570

GRASS notice on top of the shell
Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12630

Description

When opening the GRASS shell within QGIS, the user is no longer noticed that (s)he is actually in a grass shell, as it used to be. It might

be better to have it back (or to define a prompt of the form "grass>").

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:34 AM - Paolo Cavallini

- Assignee deleted (Lorenzo Masini)

- Pull Request or Patch supplied set to No

#3 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-01-29 06:46 PM - Paolo Cavallini

- Status changed from Open to Feedback

Seems OK now.

#7 - 2018-02-26 10:30 PM - Radim Blazek

The shell in QGIS GRASS Tools does not set prompt PS1, so the default or set by user is used.

GRASS standard shell forces

PS1='GRASS %s (%s):\\w > '\n" % (grass_version, location_name)

I am not convinced that we want to waste space for that, we have title in tools like this:

GRASS tools <location>/<mapset>
We could add a welcome message like: 

Welcome to GRASS GIS <version> shell

#8 - 2018-02-27 06:58 AM - Paolo Cavallini

This seems a reasonable solution. Thanks Radim.

#9 - 2018-02-27 01:14 PM - Radim Blazek

However it seems simple, I cannot find easy way to print a message to shell directly

without calling external script.

The class/method which receives data  is private:

QTermWidget.m_impl->m_session->emulation()->receiveData(const char* text, int length)
